Page MenuHomePhabricator

Use project logo wordmarks on Wikimedia projects in Timeless
Closed, ResolvedPublic

Description

Now possible via $wgTimelessWordmark config variable.

Maybe just reuse the minerva ones if possible? Something about copyright footer or something, though they're a bit unreliably sized/present...

Event Timeline

Isarra created this task.Aug 29 2019, 10:58 PM

Change 594498 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/Timeless@master] Use getAvailableLogos to retrieve wordmark and icon

https://gerrit.wikimedia.org/r/594498

Restricted Application added a subscriber: Masumrezarock100. · View Herald TranscriptMay 5 2020, 11:07 PM

Hey @Isarra any chance you could look at this patch? I'm keen to wrap up the logo work.

Change 594498 merged by jenkins-bot:
[mediawiki/skins/Timeless@master] Timeless should support default logos

https://gerrit.wikimedia.org/r/594498

YAY!
https://en.wikivoyage.beta.wmflabs.org/wiki/Main_Page?useskin=timeless

Can we close this out? I'd suggest a new task for any improvements to the core config and dropping the wgTimelessWordmark altogether. Seems 3rd parties have the best of both worlds going into 1.35!

Jdlrobson closed this task as Resolved.Jul 21 2020, 3:47 PM
Jdlrobson claimed this task.

This is in production now> https://en.wikivoyage.org/?useskin=timeless, https://en.wikipedia.org/?useskin=timeless
Please feel free to reopen with actionables or preferably open a new ticket for follow up work.